/*____________________________________________________________________________*\
 *

 Copyright (c) 1997 John Roy. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. Redistributions of any form whatsoever and all advertising materials 
    mentioning features must contain the following
    acknowledgment:
    "This product includes software developed by John Roy
    (http://www.johnroy.com/pi3/)."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: PIDBKeys.h$
 * $Date: Sun Aug 10 06:42:18 1997$
 *
 Description:
	Keys into the program database including configuration file variable
	names.
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PIDBKEYS_H_
#define PIDBKEYS_H_

/* --- Keys --- */
#define PIDBKEY_CONFIGURATION   "Configuration" /* configuration tree */
#define PIDBKEY_LIBRARIES		"Libraries"     /* dynamically loaded libs */
#define PIDBKEY_FUNCTIONS		"Functions"     /* functions */
#define PIDBKEY_CLASSES			"Classes"       /* classes */
#define PIDBKEY_ERROR			"Error"			/* errors */
#define PIDBKEY_WARNING			"Warning"		/* warning */
#define PIDBKEY_NOTE			"Note"			/* generic comment */
#define PIDBKEY_DIAGNOSTICS		"Diagnostics"	/* diagnostic messages */
#define PIDBKEY_PATH			"Path"			/* library path */

/* --- configuration file keys --- */
#define PIDBKEY_CONF_LIBRARY	"Library"
#define PIDBKEY_CONF_FUNCTION	"Function"
#define PIDBKEY_CONF_CLASS		"Class"
#define PIDBKEY_CONF_OBJECT		"Object"
#define PIDBKEY_CONF_NAME		"Name"
#define PIDBKEY_CONF_TYPE		"Type"
#define PIDBKEY_CONF_POSIXPATH	"POSIXPath"
#define PIDBKEY_CONF_WIN32PATH	"Win32Path"
#define PIDBKEY_CONF_ATTRIBUTE	"Attribute"

/* --- possible values for PIDBTYPE_STRING --- */
#define PIDBVALUE_CONF_IO		"IO"
#define PIDBVALUE_CONF_LOGIC	"LogicExtension"
#define PIDBVALUE_CONF_SLL		"ServerLogicLanguage"

/* --- Values --- */
#define PIDBVALUE_CONF_HASTREE	"HasTree"		/*the object has its own tree*/

#endif	/* PIDBKEYS_H_ */

